# Serialized Form

## Package org.pentaho.reporting.libraries.resourceloader

### Class org.pentaho.reporting.libraries.resourceloader.CompoundResource extends java.lang.Object implements Serializable

serialVersionUID:
  -5828242419391352185L

### Serialized Fields

#### source

    ResourceKey source

#### dependencies

    DependencyCollector dependencies

#### product

    java.lang.Object product

#### targetType

    java.lang.Class<T> targetType

### Class org.pentaho.reporting.libraries.resourceloader.DependencyCollector extends java.lang.Object implements Serializable

serialVersionUID:
  -3568774359923270189L

### Serialized Fields

#### dependencies

    java.util.HashMap<K,V> dependencies

### Class org.pentaho.reporting.libraries.resourceloader.FactoryParameterKey extends java.lang.Object implements Serializable

serialVersionUID:
  4574332935778105499L

### Serialized Fields

#### name

    java.lang.String name

### Class org.pentaho.reporting.libraries.resourceloader.LoaderParameterKey extends java.lang.Object implements Serializable

serialVersionUID:
  248656222959755320L

### Serialized Fields

#### name

    java.lang.String name

### Class org.pentaho.reporting.libraries.resourceloader.ResourceKey extends java.lang.Object implements Serializable

serialVersionUID:
  -7764107570068726772L

### Serialized Fields

#### factoryParameters

    java.util.Map<K,V> factoryParameters

#### hashCode

    java.lang.Integer hashCode

#### schema

    java.lang.Object schema

#### identifier

    java.lang.Object identifier

#### parent

    ResourceKey parent

### Class org.pentaho.reporting.libraries.resourceloader.SimpleResource extends java.lang.Object implements Serializable

serialVersionUID:
  -6007941678785921339L

### Serialized Fields

#### value

    java.lang.Object value

#### key

    ResourceKey key

#### version

    long version

#### targetType

    java.lang.Class<T> targetType

## Package org.pentaho.reporting.libraries.resourceloader.cache

### Class org.pentaho.reporting.libraries.resourceloader.cache.BundleCacheResourceWrapper extends java.lang.Object implements Serializable

### Serialized Fields

#### parent

    Resource parent

#### outsideKey

    ResourceKey outsideKey

### Class org.pentaho.reporting.libraries.resourceloader.cache.CachingResourceBundleData extends java.lang.Object implements Serializable

serialVersionUID:
  -7272527822440412818L

### Serialized Fields

#### data

    ResourceBundleData data

#### attributes

    java.util.HashMap<K,V> attributes

### Class org.pentaho.reporting.libraries.resourceloader.cache.CachingResourceData extends java.lang.Object implements Serializable

serialVersionUID:
  -1749415356208356705L

### Serialized Fields

#### data

    ResourceData data

#### attributes

    java.util.HashMap<K,V> attributes

### Class org.pentaho.reporting.libraries.resourceloader.cache.DefaultResourceBundleDataCacheEntry extends java.lang.Object implements Serializable

serialVersionUID:
  980125445121523950L

### Serialized Fields

#### data

    ResourceBundleData data

#### version

    long version

### Class org.pentaho.reporting.libraries.resourceloader.cache.DefaultResourceDataCacheEntry extends java.lang.Object implements Serializable

serialVersionUID:
  -8308023147327221724L

### Serialized Fields

#### data

    ResourceData data

#### version

    long version

## Package org.pentaho.reporting.libraries.resourceloader.loader

### Class org.pentaho.reporting.libraries.resourceloader.loader.AbstractResourceData extends java.lang.Object implements Serializable

serialVersionUID:
  -2578855461270413802L

### Class org.pentaho.reporting.libraries.resourceloader.loader.URLResourceData extends AbstractResourceData implements Serializable

serialVersionUID:
  -7183025686032509509L

### Serialized Fields

#### lastDateMetaDataRead

    long lastDateMetaDataRead

#### modificationDate

    long modificationDate

#### filename

    java.lang.String filename

#### contentLength

    java.lang.Long contentLength

#### contentType

    java.lang.String contentType

#### metaDataOK

    boolean metaDataOK

#### url

    java.net.URL url

#### key

    ResourceKey key

## Package org.pentaho.reporting.libraries.resourceloader.loader.file

### Class org.pentaho.reporting.libraries.resourceloader.loader.file.FileResourceData extends AbstractResourceData implements Serializable

serialVersionUID:
  -5719048997437795736L

### Serialized Fields

#### key

    ResourceKey key

#### file

    java.io.File file

## Package org.pentaho.reporting.libraries.resourceloader.loader.resource

### Class org.pentaho.reporting.libraries.resourceloader.loader.resource.ClassloaderResourceData extends AbstractResourceData implements Serializable

serialVersionUID:
  980009972320937886L

### Serialized Fields

#### key

    ResourceKey key

#### resourcePath

    java.lang.String resourcePath

## Package org.pentaho.reporting.libraries.resourceloader.loader.zip

### Class org.pentaho.reporting.libraries.resourceloader.loader.zip.ZipEntryKey extends java.lang.Object implements Serializable

### Serialized Fields

#### zipFile

    ResourceData zipFile

#### entryName

    java.lang.String entryName

### Class org.pentaho.reporting.libraries.resourceloader.loader.zip.ZipResourceData extends AbstractResourceData implements Serializable

serialVersionUID:
  -7432641415119820243L

### Serialized Fields

#### key

    ResourceKey key